[DRE-commits] [gitlab] 05/05: make normal user, allow ssh login

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Fri Jan 15 18:22:20 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master-8.4
in repository gitlab.

commit 6db7d7c2114fa546de23271a57f15ba769e5a3d9
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Fri Jan 15 23:46:32 2016 +0530

    make normal user, allow ssh login
---
 debian/adduser.sh | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

diff --git a/debian/adduser.sh b/debian/adduser.sh
index a6c4721..725bba8 100755
--- a/debian/adduser.sh
+++ b/debian/adduser.sh
@@ -5,15 +5,9 @@
 user=gitlab
 
 echo "Creating/updating $user user account..."
-adduser --system --home /usr/share/$user \
-	--gecos "$user system user" --shell /bin/sh \
-	--quiet --disabled-password --disabled-login $user || {
+adduser --home /usr/share/$user --gecos "$user user" --shell /bin/sh \
+	--quiet --disabled-password $user || {
   # adduser failed. Why?
-  if [ `getent passwd $user|awk -F ':' '{print $3}'` -gt 999 ] >/dev/null ; then
-	echo "Non-system user $user found. I will not overwrite a non-system" >&2
-	echo "user.  Remove the user and reinstall diaspora." >&2
-	exit 1
-  fi
   # unknown adduser error, simply exit
   exit 1
   }

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list